WriteFile File Reference
`#include <osg/Image>`
`#include <osg/Shape>`
`#include <osg/Node>`
`#include <osgDB/Export>`
`#include <osgDB/Registry>`
`#include <string>`

Go to the source code of this file.

## Namespaces

namespace | osgDB

## Macros

#define | OSGDB_WRITEFILE 1

## Functions

OSGDB_EXPORT bool | osgDB::writeObjectFile (const osg::Object &object, const std::string &filename, const Options *options)
bool | osgDB::writeObjectFile (const osg::Object &object, const std::string &filename)
OSGDB_EXPORT bool | osgDB::writeImageFile (const osg::Image &image, const std::string &filename, const Options *options)
bool | osgDB::writeImageFile (const osg::Image &image, const std::string &filename)
OSGDB_EXPORT bool | osgDB::writeHeightFieldFile (const osg::HeightField &hf, const std::string &filename, const Options *options)
bool | osgDB::writeHeightFieldFile (const osg::HeightField &hf, const std::string &filename)
OSGDB_EXPORT bool | osgDB::writeNodeFile (const osg::Node &node, const std::string &filename, const Options *options)
bool | osgDB::writeNodeFile (const osg::Node &node, const std::string &filename)
OSGDB_EXPORT bool | osgDB::writeShaderFile (const osg::Shader &shader, const std::string &filename, const Options *options)
bool | osgDB::writeShaderFile (const osg::Shader &shader, const std::string &filename)
OSGDB_EXPORT bool | osgDB::writeScriptFile (const osg::Script &image, const std::string &filename, const Options *options)
bool | osgDB::writeScriptFile (const osg::Script &image, const std::string &filename)

## Macro Definition Documentation

## OSGDB_WRITEFILE

#define OSGDB_WRITEFILE 1